This provider is currently in preview.
published on Thursday, May 28, 2026 by Pulumi
This provider is currently in preview.
published on Thursday, May 28, 2026 by Pulumi
Updates the service-managed configuration for a stack. The request body sets the ESC environment reference that points the stack at a service-backed configuration. If stack configuration is returned by the API, it is used in place of the local stack config file (e.g. Pulumi.[stack].yaml). Returns the updated configuration object. Returns 400 if the environment reference is invalid or not found. The ‘secretsProvider’, ’encryptedKey’, and ’encryptionSalt’ fields are deprecated; new callers should omit them.
Create Config Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new Config(name: string, args: ConfigArgs, opts?: CustomResourceOptions);@overload
def Config(resource_name: str,
args: ConfigArgs,
opts: Optional[ResourceOptions] = None)
@overload
def Config(resource_name: str,
opts: Optional[ResourceOptions] = None,
environment: Optional[str] = None,
org_name: Optional[str] = None,
project_name: Optional[str] = None,
stack_name: Optional[str] = None,
encrypted_key: Optional[str] = None,
encryption_salt: Optional[str] = None,
secrets_provider: Optional[str] = None)func NewConfig(ctx *Context, name string, args ConfigArgs, opts ...ResourceOption) (*Config, error)public Config(string name, ConfigArgs args, CustomResourceOptions? opts = null)
public Config(String name, ConfigArgs args)
public Config(String name, ConfigArgs args, CustomResourceOptions options)
type: pulumiservice:api/stacks:Config
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "pulumiservice_api_stacks_config" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args ConfigArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ConfigArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ConfigArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ConfigArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ConfigArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var configResource = new PulumiService.Api.Stacks.Config("configResource", new()
{
Environment = "string",
OrgName = "string",
ProjectName = "string",
StackName = "string",
EncryptedKey = "string",
EncryptionSalt = "string",
SecretsProvider = "string",
});
example, err := stacks.NewConfig(ctx, "configResource", &stacks.ConfigArgs{
Environment: pulumi.String("string"),
OrgName: pulumi.String("string"),
ProjectName: pulumi.String("string"),
StackName: pulumi.String("string"),
EncryptedKey: pulumi.String("string"),
EncryptionSalt: pulumi.String("string"),
SecretsProvider: pulumi.String("string"),
})
resource "pulumiservice_api_stacks_config" "configResource" {
environment = "string"
org_name = "string"
project_name = "string"
stack_name = "string"
encrypted_key = "string"
encryption_salt = "string"
secrets_provider = "string"
}
var configResource = new Config("configResource", ConfigArgs.builder()
.environment("string")
.orgName("string")
.projectName("string")
.stackName("string")
.encryptedKey("string")
.encryptionSalt("string")
.secretsProvider("string")
.build());
config_resource = pulumiservice.api.stacks.Config("configResource",
environment="string",
org_name="string",
project_name="string",
stack_name="string",
encrypted_key="string",
encryption_salt="string",
secrets_provider="string")
const configResource = new pulumiservice.api.stacks.Config("configResource", {
environment: "string",
orgName: "string",
projectName: "string",
stackName: "string",
encryptedKey: "string",
encryptionSalt: "string",
secretsProvider: "string",
});
type: pulumiservice:api/stacks:Config
properties:
encryptedKey: string
encryptionSalt: string
environment: string
orgName: string
projectName: string
secretsProvider: string
stackName: string
Config Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The Config resource accepts the following input properties:
- Environment string
- Reference to ESC environment to use as stack configuration.
- Org
Name string - The organization name
- Project
Name string - The project name
- Stack
Name string - The stack name
- Encrypted
Key string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- Encryption
Salt string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- Secrets
Provider string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- Environment string
- Reference to ESC environment to use as stack configuration.
- Org
Name string - The organization name
- Project
Name string - The project name
- Stack
Name string - The stack name
- Encrypted
Key string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- Encryption
Salt string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- Secrets
Provider string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- environment string
- Reference to ESC environment to use as stack configuration.
- org_
name string - The organization name
- project_
name string - The project name
- stack_
name string - The stack name
- encrypted_
key string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- encryption_
salt string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- secrets_
provider string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- environment String
- Reference to ESC environment to use as stack configuration.
- org
Name String - The organization name
- project
Name String - The project name
- stack
Name String - The stack name
- encrypted
Key String - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- encryption
Salt String - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- secrets
Provider String - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- environment string
- Reference to ESC environment to use as stack configuration.
- org
Name string - The organization name
- project
Name string - The project name
- stack
Name string - The stack name
- encrypted
Key string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- encryption
Salt string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- secrets
Provider string - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- environment str
- Reference to ESC environment to use as stack configuration.
- org_
name str - The organization name
- project_
name str - The project name
- stack_
name str - The stack name
- encrypted_
key str - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- encryption_
salt str - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- secrets_
provider str - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- environment String
- Reference to ESC environment to use as stack configuration.
- org
Name String - The organization name
- project
Name String - The project name
- stack
Name String - The stack name
- encrypted
Key String - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- encryption
Salt String - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
- secrets
Provider String - Deprecated: this field is no longer used by the service. Stacks that use a service-backed configuration store all config (including secrets) in ESC, which uses its own encryption. New callers should omit this field.
Outputs
All input properties are implicitly available as output properties. Additionally, the Config resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Package Details
- Repository
- pulumiservice pulumi/pulumi-pulumiservice
- License
- Apache-2.0
This provider is currently in preview.
published on Thursday, May 28, 2026 by Pulumi